%define major	4
%define minor	3
#define patchlevel	0
%define gver	%{major}r%minor
#%define ver	%major.%minor.%patchlevel
%define ver	%major.%minor
%define rel	alt1

Summary: GAP (Groups, Algorithms and Programming)
Name: gap
Version: %ver
Release: %rel

Source0: gap%gver.tar.bz2
Source1: ftp://ftp-gap.dcs.st-and.ac.uk/pub/gap/gap4/bugfixes/fix%{gver}n4.tar.bz2
#Source10: fix%{gver}n1-8.tar.gz
License: GPL
Group: Sciences/Mathematics
Url: http://www-history.mcs.st-and.ac.uk/~gap/

Icon: gap4.gif

%description
GAP (Groups, Algorithms and Programming) is a system for computational
discrete algebra with particular emphasis on, but not restricted to
computational group theory.

%package doc
Group: Sciences/Mathematics
Requires: %name = %version-%release
Summary: %name documentation
%description doc
%name documentation.

%package gac
Group: Development/Other
Requires: %name = %version-%release
Summary: %name compiler
Requires: gcc
%description gac
%name compiler and friends.

%prep
# (cd $RPM_SOURCE_DIR; cc -DSYS_IS_UNIX unzoo.c -o unzoo)

## Easy setup with tar files
%setup -q -n %name%gver

# -------------------
# Apply hotfixes here
# -------------------
bzip2 -cd %SOURCE1 | tar xf -

%configure

%build
%__make
# Clean up left-over crud. -- now goes in -gac pkg
# (cd bin; rm -f */*.o)

%install
%__install -d %buildroot{%_bindir,%_libdir/%name%ver}

# Should probably use install here.
%__mv bin cnf grp lib pkg prim small src trans tst \
	%buildroot%_libdir/%name%ver

# Fix location in shell wrapper (%post too?)
%__perl -pi -e"s,GAP_DIR=.*,GAP_DIR=%_libdir/%name%ver," \
        %buildroot%_libdir/%name%ver/bin/%name.sh
ln	%buildroot%_libdir/%name%ver/bin/%name.sh \
	%buildroot%_bindir/%name

%files
%_bindir/gap
%dir %_libdir/%name%ver
%_libdir/%name%ver/[a,c,e-r,t-z]*
%_libdir/%name%ver/bin/gap*
%_libdir/%name%ver/bin/*/gap
%doc INSTALL

%files doc
%doc doc/htm

%files gac
#%_libdir/%name%ver/bin/*/*.o
%_libdir/%name%ver/bin/*/config*
%_libdir/%name%ver/bin/*/gac
%_libdir/%name%ver/bin/*/Makefile
%_libdir/%name%ver/src

%pre
%post
%preun
#if [ $1 = 0 ]; then
#  echo
#fi

%changelog
* Sat May 31 2003 Andrey Brindeew <abr@altlinux.ru> 4.3-alt1
- First build for ALT Linux
- version 4.3n4

* Mon Jan 14 2002 Rex Dieter <rdieter@unl.edu> 4.2.8-1
- version: 4r2 -> 4.2
- doc subpkg (only html docs, for now)
- gac subpkg
- specfile cosmetics
- at least pretend to be relocatable

* Tue Jun 26 2001  Rex Dieter <rdieter@unl.edu>
- First try, gap4r2 (+fixes 1-8)
- convert zoo archives to tar.gz
- bundle fixes 1-8 into one file.
- TODO: Split into multiple smaller rpms.

